"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../model/index.js");
const index_esm = require("../../../min-dash/dist/index.esm.js");
function o() {
  this._uid = 12;
}
o.prototype.createRoot = function(e) {
  return this.create("root", e);
};
o.prototype.createLabel = function(e) {
  return this.create("label", e);
};
o.prototype.createShape = function(e) {
  return this.create("shape", e);
};
o.prototype.createConnection = function(e) {
  return this.create("connection", e);
};
o.prototype.create = function(e, t) {
  return t = index_esm.assign({}, t || {}), t.id || (t.id = e + "_" + this._uid++), index.create(e, t);
};
exports.default = o;
